Endpoints
List markets
Markets (windows) on the order book, newest first, filtered by series and status. A window stays listed until about an hour after it settles.
GET
/
markets
List markets
curl --request GET \
--url https://api.updown.fast/trade-api/v1/marketsimport requests
url = "https://api.updown.fast/trade-api/v1/markets"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.updown.fast/trade-api/v1/markets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"markets": [
{
"ticker": "<string>",
"series_ticker": "<string>",
"status": "scheduled",
"open_ts_ms": 4503599627370495,
"close_ts_ms": 4503599627370495,
"price_ranges": [
{
"start": "<string>",
"end": "<string>",
"step": "<string>"
}
],
"tick_size": "<string>",
"price_to_beat": "<string>",
"result": "up",
"settlement_price": "<string>",
"settled_ts_ms": 4503599627370495,
"up_bid": "<string>",
"up_bid_size": "<string>",
"up_ask": "<string>",
"up_ask_size": "<string>",
"last_price": "<string>"
}
]
}{
"code": "BAD_REQUEST",
"message": "<string>",
"details": "<string>"
}{
"code": "BAD_REQUEST",
"message": "<string>",
"details": "<string>"
}{
"code": "BAD_REQUEST",
"message": "<string>",
"details": "<string>"
}Query Parameters
Series ticker, e.g. "btc-15m".
Pattern:
^[a-z0-9][a-z0-9-]{0,63}$Series ticker, e.g. "btc-15m".
Pattern:
^[a-z0-9][a-z0-9-]{0,63}$Available options:
scheduled, open, paused, closed, settled Response
Matching markets.
Show child attributes
Show child attributes
⌘I
List markets
curl --request GET \
--url https://api.updown.fast/trade-api/v1/marketsimport requests
url = "https://api.updown.fast/trade-api/v1/markets"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.updown.fast/trade-api/v1/markets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"markets": [
{
"ticker": "<string>",
"series_ticker": "<string>",
"status": "scheduled",
"open_ts_ms": 4503599627370495,
"close_ts_ms": 4503599627370495,
"price_ranges": [
{
"start": "<string>",
"end": "<string>",
"step": "<string>"
}
],
"tick_size": "<string>",
"price_to_beat": "<string>",
"result": "up",
"settlement_price": "<string>",
"settled_ts_ms": 4503599627370495,
"up_bid": "<string>",
"up_bid_size": "<string>",
"up_ask": "<string>",
"up_ask_size": "<string>",
"last_price": "<string>"
}
]
}{
"code": "BAD_REQUEST",
"message": "<string>",
"details": "<string>"
}{
"code": "BAD_REQUEST",
"message": "<string>",
"details": "<string>"
}{
"code": "BAD_REQUEST",
"message": "<string>",
"details": "<string>"
}